@echo off
cls
REM Duke Demo Player for Duke3d "Stadiumz.map"
REM report errors at duke3d.bigsleep.net
REM written by RMGates
if not exist DUKE3D.EXE goto forgetit

duke3d /j

echo 
echo 
echo 
echo  Duke demo player 
echo 
echo 
echo 
REM if this file exits, assume it's Atomic
if exist VER15.TXT goto foundver15

rem created files only once
if exist DUKE13D.VER goto foundduke13d
if exist ATOMIC.VER goto foundatomic

rem lets look for choice.com
for %%p in (%path%) do if exist %%p\choice.com goto makechoice
goto nochoice

:makechoice
echo Press X or CTRL+C to exit
rem which version of Duke?
echo 
echo Choose your Duke Nukem version:
choice /n /c:13d2a45px 1.3D(1), Atomic(2), or Exit(x)
if errorlevel 9 goto end
if errorlevel 4 goto makeatomic
if errorlevel 1 goto makeduke13d
:makeduke13d
duke3d /j > DUKE13D.VER
echo 
echo Creating file DUKE13D.VER  
echo if you made the wrong choice,
echo or if you upgrade to Atomic, delete DUKE13D.VER
echo 
goto dn13d
:makeatomic
duke3d /j > ATOMIC.VER
echo 
echo Creating file ATOMIC.VER  
echo if you made the wrong choice, delete ATOMIC.VER
echo 
goto atomic

:nochoice
echo 
echo choice.com not found! That sucks!
echo we'll have to assume it's version 1.3d
echo 
goto dn13d

:foundduke13d
echo 
echo Duke Nukem 3D version 1.3D (found DUKE13D.VER)
:dn13d
if exist DEMO1.DMO ren DEMO1.DMO DEMO1.DUK
rem checking for user input
if "%1"=="" goto stadiumd
if exist %1.DMO goto userdmo
if exist %1 goto userddemo
if exist DEMO1.DUK ren DEMO1.DUK DEMO1.DMO
goto badinput

:stadiumd
for %%f in (STADIUMZ.MAP STADIUM?.DMO DEMO?.DMO) do if exist %%f echo "Found %%f"
rem
rem For Duke 1.3d copy Stadiumz.map to E1l9.map, ren
rem Demo1.dmo to Demo1.duk, copy Stadiumd.dmo to Demo1.dmo.
rem NOTE: in case of error rename Demo1.duk back to Demo1.dmo
rem
if not exist STADIUMZ.MAP goto errormap
if not exist STADIUMD.DMO goto errordmo
if exist DEMO1.DUK goto errorduk
if exist E1L9.MAP goto erroroop

echo This will play the Stadiumd.dmo, then restore your files when you quit Duke.
echo Press CTRL+C to abort or
pause
@echo .
@echo .

copy STADIUMZ.MAP E1L9.MAP
if errorlevel 1 goto end
copy STADIUMD.DMO DEMO1.DMO
if errorlevel 1 goto end
Duke3d
del E1l9.map
goto restoreit

rem For Duke 1.3d rename Demo1.dmo to Demo1.duk, 
rem copy "userdemo.dmo" to Demo1.dmo.
rem NOTE: in case of error rename Demo1.duk back to Demo1.dmo
:userdmo
echo demo %1.dmo found
echo This will play %1 demo, then restore your files when you quit Duke.
echo Press CTRL+C to abort or
pause
@echo .
@echo .
if exist DEMO1.DMO ren DEMO1.DMO DEMO1.DUK
copy %1.DMO DEMO1.DMO
if errorlevel 1 goto end
Duke3d %2
goto restoreit

:userddemo
echo This will play %1, then restore your files when you quit Duke.
echo Press CTRL+C to abort or
pause
@echo .
@echo .
echo demo %1 found
if exist DEMO1.DMO ren DEMO1.DMO DEMO1.DUK
copy %1 DEMO1.DMO
if errorlevel 1 goto end
Duke3d %2
goto restoreit

:restoreit
del DEMO1.DMO
if exist DEMO1.DUK ren DEMO1.DUK DEMO1.DMO
if errorlevel 1 goto end
echo Your files have been restored.
goto end

:foundver15
echo 
echo Duke Nukem 3D Atomic 1.5 version (found VER15.TXT)
goto atomic
:foundatomic
echo 
echo Duke Nukem 3D Atomic version (found ATOMIC.VER)
:atomic
rem checking for user input
if "%1"=="" goto stadiumz
if exist %1 goto userademo
if exist %1.DMO goto userademo
goto badinput

:stadiumz
if not exist Stadiumz.dmo goto errorzdmo
echo Stadiumz.dmo found
if not exist Stadiumz.map goto errormap
echo Stadiumz.map found
echo Press CTRL+C to abort or
pause
@echo .
@echo .
Duke3d /dStadiumz
goto end

:userademo
echo User demo %1 found
echo Press CTRL+C to abort or
pause
@echo .
@echo .
Duke3d /d%1 %2
goto end

:errormap
echo Stadiumz.map not found!
goto errormsg
:errorddmo
echo Stadiumd.dmo not found!
goto errormsg
:errorzdmo
echo Stadiumz.dmo not found!
goto errormsg
:errormsg
echo make sure all files are in your Duke3d directory.
echo all the necessary files are in Stadiumz.zip
echo This program will now exit.
pause
goto end
:errorduk
cls
echo oops!
echo Please rename or delete Demo1.duk (ren Demo1.duk Demo1.dmo)
echo then restart playdemo.bat
pause
goto end
:erroroop
cls
echo oops!
echo Please rename or delete E1l9.map
echo then restart playdemo.bat
pause
goto end
:forgetit
echo oops!
echo Can't do anything without Duke3d.exe!
echo Run this file from your Duke3d folder.
echo this file location is - %0
goto end
:badinput
echo oops!
echo Can't find %1 Demo
echo enter a valid demo name
goto end

:end
echo 
echo "...Game Over..."
